Package: org.gmetrics.metric.coverage

## [Groovy] Class CoberturaCoverageFile

- org.gmetrics.metric.coverage.CoberturaCoverageFile

- Parses and provides access to a Cobertura "coverage.xml"

  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CoberturaCoverageFile (String coberturaFile, String attributeName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected groovy.util.slurpersupport.GPathResult` | `findClassElement(String className)`
    `` | `protected groovy.util.slurpersupport.GPathResult` | `findInnerClasses(String className)`
    `` | `protected groovy.util.slurpersupport.GPathResult` | `findMethodElement(String methodName, int numParameters, String methodSignature, groovy.util.slurpersupport.GPathResult classXmlElement)`
    `` | `protected groovy.util.slurpersupport.GPathResult` | `findPackageElement(String packageName)`
    `` | `protected groovy.util.slurpersupport.GPathResult` | `getCoberturaXml()`
    `` | `protected BigDecimal` | `getOverallCoverageRate()`
    `` | `protected boolean` | `hasInnerClasses(String className)`
    `` | `protected BigDecimal` | `parseCoverageRate(groovy.util.slurpersupport.GPathResult node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CoberturaCoverageFile(String coberturaFile, String attributeName)

  - ### Method Detail

    - #### protected groovy.util.slurpersupport.GPathResult findClassElement(String className)

    - #### protected groovy.util.slurpersupport.GPathResult findInnerClasses(String className)

    - #### protected groovy.util.slurpersupport.GPathResult findMethodElement(String methodName, int numParameters, String methodSignature, groovy.util.slurpersupport.GPathResult classXmlElement)

    - #### protected groovy.util.slurpersupport.GPathResult findPackageElement(String packageName)

    - #### protected groovy.util.slurpersupport.GPathResult getCoberturaXml()

    - #### protected BigDecimal getOverallCoverageRate()

    - #### protected boolean hasInnerClasses(String className)

    - #### protected BigDecimal parseCoverageRate(groovy.util.slurpersupport.GPathResult node)